check.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_CHECK(x, type) MSGPACK_PP_CHECK_OO((x, type))
#define | MSGPACK_PP_CHECK_OO(par) MSGPACK_PP_CHECK_D ## par
#define | MSGPACK_PP_CHECK_D(x, type) MSGPACK_PP_CHECK_OO((type x))
#define | MSGPACK_PP_CHECK_OO(par) MSGPACK_PP_CHECK_0 ## par
#define | MSGPACK_PP_CHECK_0(chk) MSGPACK_PP_CHECK_1(MSGPACK_PP_CAT(MSGPACK_PP_CHECK_RESULT_, chk))
#define | MSGPACK_PP_CHECK_1(chk) MSGPACK_PP_CHECK_2(chk)
#define | MSGPACK_PP_CHECK_2(res, _) res
#define | MSGPACK_PP_CHECK_RESULT_1 1, MSGPACK_PP_NIL

## Macro Definition Documentation

## MSGPACK_PP_CHECK

#define MSGPACK_PP_CHECK | ( |  | x,
|  |  | type
| ) |  | MSGPACK_PP_CHECK_OO((x, type))

## MSGPACK_PP_CHECK_0

#define MSGPACK_PP_CHECK_0 | ( |  | chk | ) | MSGPACK_PP_CHECK_1(MSGPACK_PP_CAT(MSGPACK_PP_CHECK_RESULT_, chk))

## MSGPACK_PP_CHECK_1

#define MSGPACK_PP_CHECK_1 | ( |  | chk | ) | MSGPACK_PP_CHECK_2(chk)

## MSGPACK_PP_CHECK_2

#define MSGPACK_PP_CHECK_2 | ( |  | res,
|  |  | _
| ) |  | res

## MSGPACK_PP_CHECK_D

#define MSGPACK_PP_CHECK_D | ( |  | x,
|  |  | type
| ) |  | MSGPACK_PP_CHECK_OO((type x))

## MSGPACK_PP_CHECK_OO [1/2]

#define MSGPACK_PP_CHECK_OO | ( |  | par | ) | MSGPACK_PP_CHECK_D ## par

## MSGPACK_PP_CHECK_OO [2/2]

#define MSGPACK_PP_CHECK_OO | ( |  | par | ) | MSGPACK_PP_CHECK_0 ## par

## MSGPACK_PP_CHECK_RESULT_1

#define MSGPACK_PP_CHECK_RESULT_1 1, MSGPACK_PP_NIL